Loading...
Searching...
No Matches
pccc_encoder.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/trellis/api.h>`
`#include <gnuradio/trellis/fsm.h>`
`#include <gnuradio/trellis/interleaver.h>`
`#include <cstdint>`
`#include <vector>`
Include dependency graph for pccc_encoder.h:

Go to the source code of this file.

## Classes

class | gr::trellis::pccc_encoder< IN_T, OUT_T >
| PCCC encoder. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::trellis

## Typedefs

typedef pccc_encoder< std::uint8_t, std::uint8_t > | gr::trellis::pccc_encoder_bb
typedef pccc_encoder< std::uint8_t, std::int16_t > | gr::trellis::pccc_encoder_bs
typedef pccc_encoder< std::uint8_t, std::int32_t > | gr::trellis::pccc_encoder_bi
typedef pccc_encoder< std::int16_t, std::int16_t > | gr::trellis::pccc_encoder_ss
typedef pccc_encoder< std::int16_t, std::int32_t > | gr::trellis::pccc_encoder_si
typedef pccc_encoder< std::int32_t, std::int32_t > | gr::trellis::pccc_encoder_ii